<bugID>1225798<Summary>Fix error reporting of edge reading list migration failures</Summary><Description>+++ This bug was initially created as a clone of Bug #1225466 +++

There's a trivial mistake in the error handling here:

https://dxr.mozilla.org/mozilla-central/rev/a2f83cbe53ac4009afa4cb2b0b8f549289b23eeb/browser/components/migration/MSMigrationUtils.jsm#479

where the use of 'dbPath' should be 'dbFile.path'

We should also be reporting errors correctly so the parent migrator doesn't pretend all is fine and dandy when the reading list import failed.

I reproduced one issue with the migrator if the DB had outstanding changes in its log files that hadn't yet been reconciled into the DB, at which point the DB is in an "unclean shutdown" state.

I don't know how easy it is to fix that, but fixing it properly should probably be a different bug.</Description></bugID>